import request from '@/utils/request'

// 查询门店店员列表
export function listStoreShopStaff(query) {
  return request({
    url: '/store/store/storeShopStaff/list',
    method: 'get',
    params: query
  })
}

// 查询门店店员详细
export function getStoreShopStaff(id) {
  return request({
    url: '/store/store/storeShopStaff/' + id,
    method: 'get'
  })
}

// 新增门店店员
export function addStoreShopStaff(data) {
  return request({
    url: '/store/store/storeShopStaff',
    method: 'post',
    data: data
  })
}

// 修改门店店员
export function updateStoreShopStaff(data) {
  return request({
    url: '/store/store/storeShopStaff',
    method: 'put',
    data: data
  })
}

// 删除门店店员
export function delStoreShopStaff(id) {
  return request({
    url: '/store/store/storeShopStaff/' + id,
    method: 'delete'
  })
}

// 导出门店店员
export function exportStoreShopStaff(query) {
  return request({
    url: '/store/store/storeShopStaff/export',
    method: 'get',
    params: query
  })
}
